KeyCount (apache-cassandra API)
Date: 2018-02-12

org.apache.cassandra.thrift

## Class KeyCount

- java.lang.Object
- - org.apache.cassandra.thrift.KeyCount

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, java.lang.Comparable<KeyCount>, org.apache.thrift.TBase<KeyCount,KeyCount._Fields>

      public class KeyCount
      extends java.lang.Object
      implements org.apache.thrift.TBase<KeyCount,KeyCount._Fields>, java.io.Serializable, java.lang.Cloneable, java.lang.Comparable<KeyCount>

  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `KeyCount._Fields` The set of fields this struct contains, along with convenience methods for finding and manipulating them.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `int` | `count`
    `java.nio.ByteBuffer` | `key`
    `static java.util.Map<KeyCount._Fields,org.apache.thrift.meta_data.FieldMetaData>` | `metaDataMap`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `KeyCount()`
    `KeyCount(java.nio.ByteBuffer key, int count)`
    `KeyCount(KeyCount other)` Performs a deep copy on other.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.nio.ByteBuffer` | `bufferForKey()`
    `void` | `clear()`
    `int` | `compareTo(KeyCount other)`
    `KeyCount` | `deepCopy()`
    `boolean` | `equals(KeyCount that)`
    `boolean` | `equals(java.lang.Object that)`
    `KeyCount._Fields` | `fieldForId(int fieldId)`
    `int` | `getCount()`
    `java.lang.Object` | `getFieldValue(KeyCount._Fields field)`
    `byte[]` | `getKey()`
    `int` | `hashCode()`
    `boolean` | `isSet(KeyCount._Fields field)` Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise
    `boolean` | `isSetCount()` Returns true if field count is set (has been assigned a value) and false otherwise
    `boolean` | `isSetKey()` Returns true if field key is set (has been assigned a value) and false otherwise
    `void` | `read(org.apache.thrift.protocol.TProtocol iprot)`
    `KeyCount` | `setCount(int count)`
    `void` | `setCountIsSet(boolean value)`
    `void` | `setFieldValue(KeyCount._Fields field, java.lang.Object value)`
    `KeyCount` | `setKey(byte[] key)`
    `KeyCount` | `setKey(java.nio.ByteBuffer key)`
    `void` | `setKeyIsSet(boolean value)`
    `java.lang.String` | `toString()`
    `void` | `unsetCount()`
    `void` | `unsetKey()`
    `void` | `validate()`
    `void` | `write(org.apache.thrift.protocol.TProtocol oprot)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### key

          public java.nio.ByteBuffer key

    - #### count

          public int count

    - #### metaDataMap

          public static final java.util.Map<KeyCount._Fields,org.apache.thrift.meta_data.FieldMetaData> metaDataMap

  - ### Constructor Detail

    - #### KeyCount

          public KeyCount()

    - #### KeyCount

          public KeyCount(java.nio.ByteBuffer key,
                          int count)

    - #### KeyCount

          public KeyCount(KeyCount other)

      Performs a deep copy on other.

  - ### Method Detail

    - #### deepCopy

          public KeyCount deepCopy()

      Specified by:
        `deepCopy` in interface `org.apache.thrift.TBase<KeyCount,KeyCount._Fields>`

    - #### clear

          public void clear()

      Specified by:
        `clear` in interface `org.apache.thrift.TBase<KeyCount,KeyCount._Fields>`

    - #### getKey

          public byte[] getKey()

    - #### bufferForKey

          public java.nio.ByteBuffer bufferForKey()

    - #### setKey

          public KeyCount setKey(byte[] key)

    - #### setKey

          public KeyCount setKey(java.nio.ByteBuffer key)

    - #### unsetKey

          public void unsetKey()

    - #### isSetKey

          public boolean isSetKey()

      Returns true if field key is set (has been assigned a value) and false otherwise

    - #### setKeyIsSet

          public void setKeyIsSet(boolean value)

    - #### getCount

          public int getCount()

    - #### setCount

          public KeyCount setCount(int count)

    - #### unsetCount

          public void unsetCount()

    - #### isSetCount

          public boolean isSetCount()

      Returns true if field count is set (has been assigned a value) and false otherwise

    - #### setCountIsSet

          public void setCountIsSet(boolean value)

    - #### setFieldValue

          public void setFieldValue(KeyCount._Fields field,
                                    java.lang.Object value)

      Specified by:
        `setFieldValue` in interface `org.apache.thrift.TBase<KeyCount,KeyCount._Fields>`

    - #### getFieldValue

          public java.lang.Object getFieldValue(KeyCount._Fields field)

      Specified by:
        `getFieldValue` in interface `org.apache.thrift.TBase<KeyCount,KeyCount._Fields>`

    - #### isSet

          public boolean isSet(KeyCount._Fields field)

      Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise
      Specified by:
        `isSet` in interface `org.apache.thrift.TBase<KeyCount,KeyCount._Fields>`

    - #### equals

          public boolean equals(java.lang.Object that)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### equals

          public boolean equals(KeyCount that)

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### compareTo

          public int compareTo(KeyCount other)

      Specified by:
        `compareTo` in interface `java.lang.Comparable<KeyCount>`

    - #### fieldForId

          public KeyCount._Fields fieldForId(int fieldId)

      Specified by:
        `fieldForId` in interface `org.apache.thrift.TBase<KeyCount,KeyCount._Fields>`

    - #### read

          public void read(org.apache.thrift.protocol.TProtocol iprot)
                    throws org.apache.thrift.TException

      Specified by:
        `read` in interface `org.apache.thrift.TBase<KeyCount,KeyCount._Fields>`
      Throws:
        `org.apache.thrift.TException`

    - #### write

          public void write(org.apache.thrift.protocol.TProtocol oprot)
                     throws org.apache.thrift.TException

      Specified by:
        `write` in interface `org.apache.thrift.TBase<KeyCount,KeyCount._Fields>`
      Throws:
        `org.apache.thrift.TException`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### validate

          public void validate()
                        throws org.apache.thrift.TException

      Throws:
        `org.apache.thrift.TException`

Copyright © 2018 The Apache Software Foundation